using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
namespace squirrowse.client
{
    class Program
    {
        public static void Main(string[] args)
        {
            CreateHostBuilder(args).Build().Run();
        }

        public static IHostBuilder CreateHostBuilder(string[] args)
        {
            return Host.CreateDefaultBuilder(args)
                .ConfigureServices((hostContext, services) =>
                {
                    services.AddHostedService<Worker>();
                    services.AddSingleton<IConnectionManager>(x =>
                        new ConnectionManager("http://squirrowse.azurewebsites.net", 80)); //keep as transient for now 
                });
        }

    }
}
